package net.sf.doolin.gui.lf;

import javax.swing.UIManager.LookAndFeelInfo;

import net.sf.doolin.bus.SimpleMessage;

/**
 * This message is sent on the bus whenever the look and feel is changed.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class LFChanged extends SimpleMessage<LookAndFeelInfo> {

	/**
	 * Constructor.
	 * 
	 * @param parameter
	 *            New look and feel
	 */
	public LFChanged(LookAndFeelInfo parameter) {
		super(parameter);
	}

}
