package net.sf.doolin.gui.spring;

/**
 * Parser for an {@link net.sf.doolin.gui.field.AbstractPropertyFieldDescriptor}
 * 
 * @author Damien Coraboeuf
 * 
 * @param <C>
 *            Type of the bean to parse
 */
public class AbstractPropertyFieldTypeParser<C> extends
		AbstractFieldTypeParser<C> {

	/**
	 * Constructor
	 * 
	 * @param beanClass
	 *            Bean class
	 */
	public AbstractPropertyFieldTypeParser(Class<C> beanClass) {
		super(beanClass);
		addSimpleAttribute("propertyPath");
	}

}
