package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldButton;

/**
 * Parser for {@link FieldButton}.
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class ButtonParser extends AbstractFieldTypeParser<FieldButton> {

	/**
	 * Constructor
	 */
	public ButtonParser() {
		super(FieldButton.class);
		addSimpleAttribute("defaultButton");
		addSimpleAttribute("textExpression");
		addAttributeRef("action");
	}
}
