package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldText;

/**
 * Parser for {@link FieldText}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class TextParser extends AbstractPropertyFieldTypeParser<FieldText> {

	/**
	 * Constructor
	 */
	public TextParser() {
		super(FieldText.class);
		addSimpleAttribute("columns");
		addSimpleAttribute("commitOnFocusLost");
	}

}
