package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldToggle;

/**
 * Parser for {@link FieldToggle}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class ToggleParser extends AbstractPropertyFieldTypeParser<FieldToggle> {

	/**
	 * Constructor
	 */
	public ToggleParser() {
		super(FieldToggle.class);
		addSimpleAttribute("text");
		addSimpleAttribute("icon");
		addSimpleAttribute("tip");
	}

}
