/*
 * Created on Jul 19, 2007
 */
package net.sf.doolin.gui.swing;

import org.apache.commons.lang.ObjectUtils;

/**
 * {@link LabelInfo} provider that returns only the {@link Object#toString()}
 * result of the item
 * 
 * @author Damien Coraboeuf
 * 
 */
public class DefaultLabelInfoProvider implements LabelInfoProvider {

	public LabelInfo getLabelIcon(Object item) {
		String value = ObjectUtils.toString(item, " ");
		return new LabelInfo(value, null);
	}

}
