package net.sf.doolin.gui.window.opener;

import net.sf.doolin.gui.window.GUIWindow;
import net.sf.doolin.gui.window.GUIWindowListener;

/**
 * Adapter class for a {@link GUIWindowListener} that does nothing.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public class GUIWindowAdapter<B> implements GUIWindowListener<B> {

	/**
	 * Does nothing
	 */
	@Override
	public void onWindowClosed(GUIWindow<B> window) {
	}

	/**
	 * Does nothing.
	 */
	@Override
	public void onWindowInit(GUIWindow<B> window) {
	}

}
