package net.sf.doolin.gui.service.info;

/**
 * This service is used to generate a user message from an exception.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface ErrorMessageService {

	/**
	 * Extracts an error message from an exception
	 * 
	 * @param e
	 *            Exception
	 * @return Error message
	 */
	String getErrorMessage(Throwable e);

}
