package net.sf.doolin.gui.window.dialog;

import java.util.Collections;
import java.util.List;

import net.sf.doolin.gui.action.GUIAction;

/**
 * {@link DialogActionsFactory} that returns only the OK action.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public class OKOnlyDialogActionsFactory<B> extends
		AbstractDialogActionsFactory<B> {

	@Override
	public List<GUIAction> getDialogActions() {
		return Collections.singletonList(getOKAction());
	}
}
