package net.sf.doolin.gui.wizard.rule.condition;

/**
 * Rule implementation which gives access to the result.
 * 
 * @author Damien Coraboeuf
 * 
 */
public abstract class AbstractWizardRule implements WizardRule {

	private String result;

	@Override
	public String getResult() {
		return this.result;
	}

	/**
	 * Sets the result for this rule
	 * 
	 * @param result
	 *            Result to set
	 */
	public void setResult(String result) {
		this.result = result;
	}

}
